// Transfer state machine states
export var TransferState;
(function (TransferState) {
    TransferState[TransferState["Failed"] = -1] = "Failed";
    TransferState[TransferState["Created"] = 0] = "Created";
    TransferState[TransferState["SourceInitiated"] = 1] = "SourceInitiated";
    TransferState[TransferState["SourceFinalized"] = 2] = "SourceFinalized";
    TransferState[TransferState["Attested"] = 3] = "Attested";
    TransferState[TransferState["DestinationInitiated"] = 4] = "DestinationInitiated";
    TransferState[TransferState["DestinationQueued"] = 5] = "DestinationQueued";
    TransferState[TransferState["DestinationFinalized"] = 6] = "DestinationFinalized";
})(TransferState || (TransferState = {}));
export function isSourceInitiated(receipt) {
    return receipt.state === TransferState.SourceInitiated;
}
export function isSourceFinalized(receipt) {
    return receipt.state === TransferState.SourceFinalized;
}
export function isAttested(receipt) {
    return receipt.state === TransferState.Attested;
}
export function isRedeemed(receipt) {
    return receipt.state === TransferState.DestinationInitiated;
}
export function isDestinationQueued(receipt) {
    return receipt.state === TransferState.DestinationQueued;
}
export function isCompleted(receipt) {
    return receipt.state === TransferState.DestinationFinalized;
}
export function isFailed(receipt) {
    return receipt.state < 0;
}
//# sourceMappingURL=types.js.map